Subject: bug#41548: closed (Re: [bug#41548] [PATCH] gnu: mozjs: Remove static library)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 May 2020 16:08:01 +0000

Your bug report

#41548: [PATCH] gnu: mozjs: Remove static library

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41548: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41548
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41548] [PATCH] gnu: mozjs: Remove static library
From: Julien Lepiller <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Sat, 30 May 2020 18:07:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Fri, 29 May 2020 12:54:45 -0400,
Leo Famulari <[email-masked]> a écrit :

> On Thu, May 28, 2020 at 01:57:32PM -0400, Julien Lepiller wrote:
> > Le 28 mai 2020 13:46:49 GMT-04:00, Leo Famulari <[email-masked]>
> > a écrit :  
> > >On Tue, May 26, 2020 at 11:15:57PM +0200, Julien Lepiller wrote:  
> > >> Hi,
> > >> 
> > >> the attached patch removes lib/libjs_static.ajs from the output
> > >> of mozjs, a 30 MB static library.  This mozjs is part of the
> > >> closure of gdm and gnome, so it reduces the size of most desktop
> > >> systems.  
> > >
> > >Awesome! I figure that things seem to keep working without it?  
> > 
> > At least gdm still builds, but I'm not sure how to test it properly
> >  
> 
> You could make a vm-image with %desktop-services, which uses GDM.

Thanks, that's a good idea. I managed to build a vm that way and
unfortunately gdm fails to start, so the static library must be used in
some way. I'm closing this without pushing anything.

Subject: [PATCH] gnu: mozjs: Remove static library
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Tue, 26 May 2020 23:15:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

the attached patch removes lib/libjs_static.ajs from the output of
mozjs, a 30 MB static library.  This mozjs is part of the closure of
gdm and gnome, so it reduces the size of most desktop systems.

The reason why I found that file, is because it is mentionned in
BLFS: http://linuxfromscratch.org/blfs/view/svn/general/js68.html
>From 9529f1442323bad4f96fe070a510e1dd64a2c8ce Mon Sep 17 00:00:00 2001
From: Julien Lepiller <[email-masked]>
Date: Tue, 26 May 2020 23:08:15 +0200
Subject: [PATCH] gnu: mozjs: Remove static library.

* gnu/packages/gnuzilla.scm (mozjs-60): Remove static library.
---
 gnu/packages/gnuzilla.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/gnu/packages/gnuzilla.scm b/gnu/packages/gnuzilla.scm
index 7bf9850e97..808c04f1db 100644
--- a/gnu/packages/gnuzilla.scm
+++ b/gnu/packages/gnuzilla.scm
@@ -404,6 +404,12 @@ in C/C++.")
              ;; This test assumes that /bin exists and contains certain
              ;; executables.
              (delete-file "js/src/tests/shell/os.js")
+             #t))
+         (add-after 'install 'remove-static
+           (lambda* (#:key outputs #:allow-other-keys)
+             ;; this saves ~30 MB
+             (delete-file (string-append (assoc-ref outputs "out")
+                                         "/lib/libjs_static.ajs"))
              #t)))))
     (native-inputs
      `(("autoconf" ,autoconf)
-- 
2.26.2